Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Interface ITaskNotice

All Superinterfaces:
  IAttachmentSupport, IExchangeItem, IExchangeMessage, IGroupwareItem, IItem, IMailMessage, com.compoze.collab.messaging.IMessage, com.compoze.collab.messaging.IMessagingItem, java.io.Serializable

public interface ITaskNotice
extends IExchangeMessage

The `ITaskNotice` interface represents the message that is sent from recipients of task requests that have either accepted, declined or modified an assigned task. The message class is `item.tasknotice.exchange`.

Field Summary
`static Key` | `ASSOCIATED_TASK_LINK` Represents the property that holds the link between a task notice and the task it is associated.
`static ItemClass` | `CLASS` The item class of `IExchangeTaskNotice`.
`static int` | `KEYID_ASSOCIATED_TASK_LINK` The `int` ID for the `ASSOCIATED_TASK_LINK` key.
`static int` | `KEYID_STATUS` The `int` ID for the `STATUS` key.
`static Key` | `STATUS` Key that represents the task notice status.

Fields inherited from interface com.compoze.collab.exchange.IExchangeMessage
`DELIVERY_RECEIPT_REQUESTED, KEYID_DELIVERY_RECEIPT_REQUESTED`

Fields inherited from interface com.compoze.collab.groupware.IMailMessage
`DELIVERY_DATE, DISPLAY_BCC, DISPLAY_CC, DISPLAY_FROM, DISPLAY_TO, ENCRYPTED, KEYID_DELIVERY_DATE, KEYID_DISPLAY_BCC, KEYID_DISPLAY_CC, KEYID_DISPLAY_FROM, KEYID_DISPLAY_TO, KEYID_ENCRYPTED, KEYID_READ_RECEIPT_REQUESTED, KEYID_SENDER_ADDRESS, KEYID_SENDER_NAME, KEYID_SENT_DATE, KEYID_SIGNED, KEYID_UNREAD, READ_RECEIPT_REQUESTED, SENDER_ADDRESS, SENDER_NAME, SENT_DATE, SIGNED, UNREAD`

Fields inherited from interface com.compoze.collab.messaging.IMessage
`KEYID_RECIPIENTS, RECIPIENTS`

Fields inherited from interface com.compoze.collab.messaging.IMessagingItem
`BODY, BODY_HTML, KEYID_BODY, KEYID_BODY_HTML`

Fields inherited from interface com.compoze.collab.IItem
`ID, ITEM_CLASS, KEYID_ID, KEYID_ITEM_CLASS, KEYID_PARENT_ID, MINIMUM_ITEM_KEYS, PARENT_ID`

Fields inherited from interface com.compoze.collab.groupware.IGroupwareItem
`CATEGORIES, DATE_CREATED, DATE_LAST_MODIFIED, IMPORTANCE, KEYID_CATEGORIES, KEYID_DATE_CREATED, KEYID_DATE_LAST_MODIFIED, KEYID_IMPORTANCE, KEYID_SIZE, KEYID_SUBJECT, SIZE, SUBJECT`

Fields inherited from interface com.compoze.collab.exchange.IExchangeItem
`BODY_RTF, CONTACT_NAMES, CREATOR_ENTRYID, FLAG, FLAG_REMIND_BY, FLAG_TEXT, HAS_REMINDER, HIDE_ATTACHMENTS, ICON_INDEX, IS_HIDDEN, KEYID_BODY_RTF, KEYID_CONTACT_NAMES, KEYID_CREATOR_ENTRYID, KEYID_FLAG, KEYID_FLAG_REMIND_BY, KEYID_FLAG_TEXT, KEYID_HAS_REMINDER, KEYID_HIDE_ATTACHMENTS, KEYID_ICON_INDEX, KEYID_IS_HIDDEN, KEYID_MILEAGE, KEYID_NORMALIZED_SUBJECT, KEYID_PRIORITY, KEYID_SENSITIVITY, KEYID_SUBJECT_PREFIX, MILEAGE, NORMALIZED_SUBJECT, PRIORITY, SENSITIVITY, SUBJECT_PREFIX`

Fields inherited from interface com.compoze.collab.IAttachmentSupport
`ATTACHMENTS, HAS_ATTACHMENT, KEYID_ATTACHMENTS, KEYID_HAS_ATTACHMENT`

Method Summary
`IExchangeTask` | `getAssociatedTask()` Gets the task associated with this task request.
`IExchangeTask` | `getAssociatedTask(FetchProfile profile)` Gets the task associated with this task request.
`TaskResponseStatus` | `getStatus()` Gets the status change of an assigned `ITaskRequest`.
`void` | `updateTask()` Updates the task that this notice is associated with.

Methods inherited from interface com.compoze.collab.exchange.IExchangeMessage
`getDeliveryReceiptRequested, setDeliveryReceiptRequested`

Methods inherited from interface com.compoze.collab.groupware.IMailMessage
`addEmbeddedAttachment, addRecipient, addRecipient, forward, forward, getBccAddresses, getBccRecipients, getCcAddresses, getCcRecipients, getDateDelivered, getDateSent, getFromAddresses, getRecipientsByType, getSender, getToAddresses, getToRecipients, isEncrypted, isReadReceiptRequested, isSigned, isUnread, removeRecipient, removeRecipient, removeRecipient, reply, reply, send, send, setEncrypted, setReadReceiptRequested, setSigned, setUnread`

Methods inherited from interface com.compoze.collab.messaging.IMessage
`addRecipient, getRecipients, send, setRecipients`

Methods inherited from interface com.compoze.collab.messaging.IMessagingItem
`getBody, getBodyHtml, setBody, setBodyHtml`

Methods inherited from interface com.compoze.collab.IItem
`commit, containsKey, containsKey, copyProperties, copyTo, delete, fetchProperties, getAttribute, getEnum, getID, getInputStream, getItemClass, getOutputStream, getParent, getParent, getParentID, getProperties, getProperties, getProperties, getProperty, getProperty, getProperty, getReader, getRootContainer, getSession, getWriter, isMissing, moveTo, removeAttribute, removeProperty, setAttribute, setProperties, setProperty, setProperty, setProperty`

Methods inherited from interface com.compoze.collab.groupware.IGroupwareItem
`getBodyHtml, getBodyHtml, getCategories, getDateCreated, getDateLastModified, getImportance, getNormalizedSubject, getSize, getSubject, getSubject, getSubjectPrefix, setBodyHtml, setCategories, setImportance, setSubject`

Methods inherited from interface com.compoze.collab.exchange.IExchangeItem
`getBodyRtf, getContactNames, getFlagStatus, getFlagText, getHideAttachments, getMileage, getPriority, getSensitivity, getSubjectPrefix, isHidden, setBodyRtf, setContactNames, setFlagStatus, setFlagText, setHideAttachments, setMileage, setPriority, setSensitivity, setSubjectPrefix`

Methods inherited from interface com.compoze.collab.IAttachmentSupport
`addAttachment, getAttachment, getAttachmentCount, getAttachments, hasAttachment`

Field Detail

### KEYID_STATUS

    public static final int KEYID_STATUS

  The `int` ID for the `STATUS` key.

  See Also:
    Constant Field Values

### KEYID_ASSOCIATED_TASK_LINK

    public static final int KEYID_ASSOCIATED_TASK_LINK

  The `int` ID for the `ASSOCIATED_TASK_LINK` key.

  See Also:
    Constant Field Values

### STATUS

    public static final Key STATUS

  Key that represents the task notice status.

### ASSOCIATED_TASK_LINK

    public static final Key ASSOCIATED_TASK_LINK

  Represents the property that holds the link between a task notice and the task it is associated.

### CLASS

    public static final ItemClass CLASS

  The item class of `IExchangeTaskNotice`.

Method Detail

### updateTask

    public void updateTask()
                    throws CollaborationException

  Updates the task that this notice is associated with. The `ASSOCIATED_TASK_LINK` is required for this function to succeed.

  Throws:
    `CollaborationException` - if there was an error updating the task
  See Also:
    `ASSOCIATED_TASK_LINK`

### getStatus

    public TaskResponseStatus getStatus()
                                 throws CollaborationException

  Gets the status change of an assigned `ITaskRequest`. Status updates occur when assigned tasks are updated, declined or accepted.

  Returns:
    returns the status of an assigned `ITaskRequest`
  Throws:
    `CollaborationException`

### getAssociatedTask

    public IExchangeTask getAssociatedTask()
                                    throws CollaborationException

  Gets the task associated with this task request. This method requires that the `ASSOCIATED_TASK` key is fetched with the item.

  Returns:
    the associated task.
  Throws:
    `CollaborationException` - if there was an error getting the task.
  See Also:
    `ASSOCIATED_TASK_LINK`

### getAssociatedTask

    public IExchangeTask getAssociatedTask(FetchProfile profile)
                                    throws CollaborationException

  Gets the task associated with this task request. This method requires that the `ASSOCIATED_TASK` key is fetched with the item.

  Parameters:
    `profile` - the profile used to fetch the associated task.
  Returns:
    the associated task.
  Throws:
    `CollaborationException` - if there was an error getting the task
  See Also:
    `ASSOCIATED_TASK_LINK`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.